Represents an item in the tree.

package | phpLDAPadmin
subpackage | Tree

### Methods

## __construct()

    __construct($server_id, $dn)

### Parameters

#### $server_id

#### $dn

## Add a child to this DN entry.

    addChild(\DN $dn)

### Parameters

#### $dn

`\DN`

The DN to add.

## Mark the children as sorted

    childSorted()

## Mark this node as closed.

    close()

## Delete a child from this DN entry.

    delChild(\DN $dn)

### Parameters

#### $dn

`\DN`

The DN to add.

## Returns null if the children have never be defined or an array of the dn of the children

    getChildren()

## Get the DN of this tree item.

    getDN() : \DN

### Returns

`\DN`The DN of this item.

## getDNEncode()

    getDNEncode()

## Returns the path of the icon file used to represent this node ; If the icon hasnt been set, it will call get_icon()

    getIcon()

## getObjectClasses()

    getObjectClasses()

## Get the RDN of this tree items DN.

    getRDN() : \RDN

### Returns

`\RDN`The RDN of this items DN.

## getTemplate()

    getTemplate()

## Return if this item is a base DN item.

    isBaseDN()

## Do the children require resorting

    isChildSorted()

## isInLDAP()

    isInLDAP()

## Return if this node is a leaf.

    isLeaf()

## Return if this item has been opened.

    isOpened()

## Return if this node has hit an LDAP size limit (and thus doesnt have all its children).

    isSizeLimited()

## Opens the node ; the children of the node must have been defined

    open()

## readingChildren()

    readingChildren($bool)

### Parameters

#### $bool

## Rename this DN.

    rename(\DN $dn)

### Parameters

#### $dn

`\DN`

The DN to rename to.

## Set this item as a LDAP base DN item.

    setBase()

## Mark this node as a leaf.

    setLeaf()

## setObjectClasses()

    setObjectClasses($oc)

### Parameters

#### $oc

## Mark this node as a size limited (it wont have all its children).

    setSizeLimited()

## setTemplate()

    setTemplate($template)

### Parameters

#### $template

## Clear the size limited flag.

    unsetSizeLimited()

### Properties

## $dn

    $dn

## $icon

    $icon

## $objectclasses

    $objectclasses

## $base_entry

    $base_entry

## $children

    $children

## $childsort

    $childsort

## $leaf

    $leaf

## $open

    $open

## $reading_children

    $reading_children

## $server_id

    $server_id

## $size_limited

    $size_limited

## $template

    $template